Name:		luciole
Version:	0.8.7
Release:	%mkrel 5
Summary:	A stop motion software for animation movie realization
License:	GPLv3
Group:		Video/Utilities
Url:		http://festival.inattendu.org/Luciole-Linux
Source0:	http://launchpad.net/luciole/0.8/%{version}/+download/%{name}_%{version}.tar.gz
Patch0:		luciole-0.8.2-use-system-default-theme.patch
# Since Pillow package the PIL modules now use relative imports between each other (fix mga#13217)
Patch1:		luciole-0.8.2-mga-fix-pillow-PIL-imports-modules.patch
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils

Requires:	pygtk2.0
Requires:	python-imaging
Requires:	gnome-python
Requires:	gnome-python-gnomevfs
Requires:	python-dbus
Requires:	python-gudev
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	imagemagick
Requires:	mencoder
Requires:	ffmpeg
Requires:	mjpegtools
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Recommends:	gtk-theme-clearlooks
Recommends:	murrine

%description
Luciole is a stop motion software for animation movie realization. It can make
live capture of images from external devices as webcam or DV cam.

%prep
%setup -q -n %{name}_%{version}

%autopatch -p1

%build

%install
#remove unneeded files
rm -f po/luciole*.po*
rm -f po/POTFILES.in po/createpot.py

#data files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr images luciole.py templates ui luciole_lint.rc %{buildroot}%{_datadir}/%{name}/
cp -pr lucioLib po sounds themes _version.py %{buildroot}%{_datadir}/%{name}/

#create executable
cat > luciole  <<EOF
#!/bin/sh
 cd /usr/share/luciole
 exec python luciole.py
EOF
#binary
mkdir -p %{buildroot}%{_bindir}
install -m 0755 luciole %{buildroot}%{_bindir}/

#desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--remove-key=Encoding \
			--dir %{buildroot}%{_datadir}/applications \
			luciole.desktop

#icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -pr images/luciole.xpm %{buildroot}%{_datadir}/pixmaps/

%files
%doc COPYING RELEASE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.8.7-5.mga6
+ Revision: 952416
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 wally <wally> 0.8.7-4.mga5
+ Revision: 816456
- require python-gudev (mga#15343)

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-3.mga5
+ Revision: 746370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-2.mga5
+ Revision: 682042
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Apr 17 2014 daviddavid <daviddavid> 0.8.7-1.mga5
+ Revision: 615439
- rediff Patch0 to use %%apply_patches macro
- minor cosmetic change
- new version: 0.8.7

* Wed Apr 16 2014 daviddavid <daviddavid> 0.8.2-6.mga5
+ Revision: 615280
- add Patch1 to fix PIL imports modules since Pillow package (mga#13217)
- update URL
- minor cosmetic change

* Fri Oct 18 2013 umeabot <umeabot> 0.8.2-5.mga4
+ Revision: 521474
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.8.2-4.mga3
+ Revision: 391011
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 23 2011 wally <wally> 0.8.2-3.mga2
+ Revision: 187056
- require gnome-python-gnomevfs (mga#3866)

* Sat May 14 2011 dmorgan <dmorgan> 0.8.2-2.mga1
+ Revision: 98299
- imported package luciole


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2011.0
+ Revision: 612782
- the mass rebuild of 2010.1 packages

* Thu Feb 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 504027
- import luciole


